{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"BeneficialOwner":{"properties":{"changeDateTime":{"description":"Latest change date in the register of beneficial owners, datetime in iso 8601","example":"2022-02-14T09:13:45.12Z","format":"ISO 8601","type":"string"},"controlTypes":{"description":"Shows how and to which extent the beneficial owner controls the company","items":{"$ref":"#/components/schemas/ControlType"},"type":"array"},"firstRegistrationDateTime":{"description":"First registered date of this beneficial ownership, datetime in iso 8601","example":"2022-02-14T09:13:45.12Z","format":"ISO 8601","type":"string"},"nonNorwegianPerson":{"$ref":"#/components/schemas/NonNorwegianPerson"},"person":{"$ref":"#/components/schemas/Person"},"secrecy":{"description":"exempt from inspection","example":false,"type":"boolean"}},"type":"object"},"BeneficialOwnershipStatus":{"description":"Shows if there are beneficial owners or not","properties":{"code":{"type":"string"},"text":{"type":"string"}},"type":"object"},"CodeList":{"properties":{"codelistDescription":{"type":"string"},"codelistName":{"type":"string"},"values":{"items":{"$ref":"#/components/schemas/CodelistValue"},"type":"array"}},"type":"object"},"CodeListsWrapper":{"properties":{"records":{"items":{"$ref":"#/components/schemas/CodeList"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"CodelistValue":{"properties":{"code":{"type":"string"},"text":{"type":"string"}},"type":"object"},"ControlType":{"description":"Shows how and to which extent the beneficial owner controls the company","properties":{"controlTypeCode":{"$ref":"#/components/schemas/ControlTypeCode"},"extentOfControlInterval":{"$ref":"#/components/schemas/ExtentOfControlInterval"},"groundOfControl":{"items":{"$ref":"#/components/schemas/GroundOfControl"},"type":"array"},"intermediateAssociations":{"items":{"$ref":"#/components/schemas/IntermediateAssociation"},"type":"array"},"otherControlDescription":{"example":"free text describing how the beneficial owner has control","type":"string"}},"type":"object"},"ControlTypeCode":{"properties":{"code":{"type":"string"},"text":{"type":"string"}},"type":"object"},"CountryAlfa2":{"description":"Country of the non-Norwegian register","properties":{"code":{"description":"2 letter country code","example":"NO","format":"ISO 3166-1 alpha-2","type":"string"},"text":{"description":"Country","example":"Norge","type":"string"}},"type":"object"},"CountryAlfa3":{"properties":{"code":{"description":"3 letter country code","example":"NOR","format":"ISO 3166-1 alpha-3","type":"string"},"text":{"description":"Country","example":"Norway","type":"string"}},"type":"object"},"ExtentOfControlInterval":{"properties":{"code":{"type":"string"},"text":{"type":"string"}},"type":"object"},"GroundOfControl":{"properties":{"code":{"type":"string"},"text":{"type":"string"}},"type":"object"},"IncorrectnessReport":{"description":"Report about possible errors in the information","properties":{"description":{"description":"Description of the assumed error","type":"string"},"receivalDateTime":{"description":"Date of incorrectness report, datetime in iso 8601","example":"2022-02-14T09:13:45.12Z","type":"string"},"reporter":{"$ref":"#/components/schemas/Reporter"}},"type":"object"},"IntermediateAssociation":{"properties":{"nonNorwegianCompany":{"$ref":"#/components/schemas/NonNorwegianCompany"},"norwegianCompany":{"$ref":"#/components/schemas/NorwegianCompany"}},"type":"object"},"InternationalAddress":{"properties":{"addressLines":{"items":{"type":"string"},"type":"array"},"country":{"$ref":"#/components/schemas/CountryAlfa2"}},"type":"object"},"NonNorwegianCompany":{"properties":{"companyId":{"type":"string"},"internationalAddress":{"$ref":"#/components/schemas/InternationalAddress"},"name":{"type":"string"}},"type":"object"},"NonNorwegianPerson":{"description":"Beneficial owner, person who is not in the Norwegian population register","properties":{"birthDate":{"type":"string"},"birthYear":{"type":"string"},"citizenships":{"items":{"$ref":"#/components/schemas/CountryAlfa3"},"type":"array"},"countryOfResidence":{"$ref":"#/components/schemas/CountryAlfa3"},"fullName":{"type":"string"}},"type":"object"},"NonNorwegianPersonReporter":{"description":"Reporter- non-Norwegian person","properties":{"birthDate":{"type":"string"},"birthYear":{"type":"string"},"citizenships":{"items":{"$ref":"#/components/schemas/CountryAlfa3"},"type":"array"},"countryOfResidence":{"$ref":"#/components/schemas/CountryAlfa3"},"name":{"type":"string"}},"type":"object"},"NonNorwegianRegister":{"description":"Non-Norwegian register for the registered company","properties":{"country":{"$ref":"#/components/schemas/CountryAlfa2"},"url":{"description":"Web address for the non-Norwegian register","type":"string"}},"type":"object"},"NorwegianCompany":{"description":"Reporter - Norwegian company","properties":{"companyId":{"type":"string"}},"type":"object"},"Person":{"description":"Reporter - Norwegian person","properties":{"birthDate":{"description":"Birth date as YYYY-MM-DD","type":"string"},"birthYear":{"description":"Birth year","type":"string"},"citizenships":{"description":"Citizenship(s)","items":{"$ref":"#/components/schemas/CountryAlfa3"},"type":"array"},"countryOfResidence":{"$ref":"#/components/schemas/CountryAlfa3"},"isDeceased":{"description":"Deceased (true/false)","type":"boolean"},"name":{"$ref":"#/components/schemas/PersonName"},"personId":{"description":"Norwegian personId","type":"string"}},"type":"object"},"PersonName":{"description":"Name of the beneficial owner","properties":{"firstName":{"type":"string"},"fullName":{"type":"string"},"middleName":{"type":"string"},"surName":{"type":"string"}},"type":"object"},"Registration":{"properties":{"beneficialOwners":{"items":{"$ref":"#/components/schemas/BeneficialOwner"},"type":"array"},"beneficialOwnershipStatus":{"$ref":"#/components/schemas/BeneficialOwnershipStatus"},"incorrectnessReport":{"$ref":"#/components/schemas/IncorrectnessReport"},"isCurrentRegistration":{"description":"true = this is the latest registration, false = this is a historic registration","example":false,"type":"boolean"},"nonNorwegianRegister":{"$ref":"#/components/schemas/NonNorwegianRegister"},"registrationDateTime":{"description":"Date when registration was approved, datetime in iso 8601","example":"2022-02-14T09:13:45.12Z","type":"string"},"registrationId":{"description":"Unique id for the registration","type":"string"},"registrationStatus":{"$ref":"#/components/schemas/RegistrationStatus"},"regulatedStockExchange":{"$ref":"#/components/schemas/RegulatedStockExchange"}},"type":"object"},"RegistrationStatus":{"description":"Status for the company´s report about beneficial ownership","properties":{"code":{"description":"Status code","type":"string"},"text":{"description":"Status description","type":"string"}},"type":"object"},"RegistrationsWrapper":{"properties":{"companyId":{"description":"Company id, Norwegian organisasjonsnummer","type":"string"},"entryInRegisterDateTime":{"description":"First registered date of this company in the register of benefical owners, datetime in iso 8601 UTC","example":"2022-02-14T09:13:45.12Z","type":"string"},"records":{"items":{"$ref":"#/components/schemas/Registration"},"type":"array"},"removalFromRegisterDateTime":{"description":"Date when the company was removed from the register of beneficial owners, datetime in iso 8601","example":"2022-02-14T09:13:45.12Z","type":"string"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"RegulatedStockExchange":{"description":"Stock exchange market where the company is registered","properties":{"country":{"$ref":"#/components/schemas/CountryAlfa2"},"name":{"type":"string"},"url":{"description":"Web address of the stock exchange market","type":"string"}},"type":"object"},"Reporter":{"properties":{"nonNorwegianPersonReporter":{"$ref":"#/components/schemas/NonNorwegianPersonReporter"},"norwegianCompany":{"$ref":"#/components/schemas/NorwegianCompany"},"person":{"$ref":"#/components/schemas/Person"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Beneficial owners\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Beneficial owners","version":"2.0","x-logo":{"url":"https://assets.roaring.io/svg/beneficial-owner-v2.svg"}},"openapi":"3.0.1","paths":{"/code-lists":{"get":{"description":"Code lists","operationId":"codeLists","parameters":[{"in":"query","name":"lang","schema":{"description":"Lang codes","enum":["en","nn","nb"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CodeListsWrapper"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when the user is not authenticated"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"Internal server error"}},"security":[{"oauth2":[]}],"summary":"Code lists"}},"/history/{companyId}":{"get":{"description":"Beneficial owners, historic registrations","operationId":"history","parameters":[{"in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"in":"query","name":"lang","schema":{"description":"Lang codes","enum":["en","nn","nb"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegistrationsWrapper"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when the user is not authenticated"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"Internal server error"}},"security":[{"oauth2":[]}],"summary":"Historic registrations"}},"/latest/{companyId}":{"get":{"description":"Beneficial owners, latest registration","operationId":"latest","parameters":[{"in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"in":"query","name":"lang","schema":{"description":"Lang codes","enum":["en","nn","nb"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegistrationsWrapper"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when the user is not authenticated"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"Internal server error"}},"security":[{"oauth2":[]}],"summary":"Latest registration"}},"/try-jwt":{"get":{"operationId":"tryJwt","responses":{"default":{"content":{"*/*":{}},"description":"default response"}}}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/no/company/beneficial-owners/2.0"}],"x-category":"company","x-countries":["no"],"x-id":"BeneficialOwnersNo"}